#Function of defination of the original basic variables by the dimensionless numbers using Low and Tang (2007) 's algorithm 
	#The following R code is modified from the VB code written by Low and Tang (2007).
	# author Xingzheng Wu email xingzhengwu@gmail.com
	#references
	#[1] Low B K and Tang W H 2007 Efficient spreadsheet algorithm for first-order reliability method; J. Eng. Mech. 133(12) 1378-1387.
	#[2] Low B K and Tang W H 1997 Efficient reliability evaluation using spreadsheets; J. Eng. Mech. 123(7) 749-752.
	#2015/5/22
	

	FunXiLT<-function(DistName,para1,para2,ni){
		if (DistName=="norm") {
		  xi_LT=para1+ni*para2
		}
		if (DistName=="lnorm") {
		  lamda=log(para1)-0.5*log(1+(para2/para1)^2)
		  zeta = sqrt(log(1+(para2/para1)^2))
		  xi_LT = exp(lamda+zeta*ni)
		}
		if (DistName=="gumbel") {
		  alfa=1.28255/para2
		  u=para1-0.5772/alfa
		  xi_LT =u-log(-log(pnorm(ni)))/alfa
		}
		if (DistName=="weibull") {
		  xi_LT =para2*(-log(1-pnorm(ni)))^(1/para1)
		}
		if (DistName=="gamma") {
		  xprev=para1*para2
		  for (i in 1:100) {
		    pdfg=dgamma(xprev,para1,1/para2)
		    xnew=xprev-(CDFg-pnorm(ni))/pdfg
		    if (abs((xnew-xprev)/xprev)<0.000001) break
		    if (xnew<=0) xnew=0.5*xprev
		    xprev=xnew
		  }
		  xi_LT=xnew
		}
	
		list(xi_LT=xi_LT)
	}
