	# author Xingzheng Wu email xingzhengwu@gmail.com
	#references
	#Wu XZ. 2015. Implementing multivariate fitting and reliability analyses for geotechnical engineering problems in R. Journal of Earth System Science. 
	#2015/5/22

	library(fitdistrplus)
	strPack01=("H:/XWUBJ/CFaiCopula/GeoRiskR/GeoRiskR3.0/GeoRiskR3.0/")
	install.packages(paste(strPack01,"GeoRiskR_3.0.zip",sep=""),repos=NULL)	
	library(GeoRiskR)
		CFAIEM2<-	RockShear[which(RockShear[["type"]]=='weathered-clay-stone'),1:2]
	Cohe<-CFAIEM2[,1]
	Fric<-CFAIEM2[,2]
	#---Fig. 5
				xlim_low<-0;xlim_up<-250;
				ylim_low<-0;ylim_up<-50;

			coreff10<-cor(CFAIEM2,method = "pearson")
			coreff20<-cor(CFAIEM2,method = "kendall")
			coreff30<-cor(CFAIEM2,method = "spearman")
			strEMP=paste("-T",TestCase,"L",ium_Type,sep="")
		plot(CFAIEM2, xlab="Cohesion (kPa)", ylab="Friction angle (degree)", xlim=c(xlim_low,xlim_up),ylim=c(ylim_low,ylim_up), cex.axis = 1.0,cex=0.8,pch=4,col = "chocolate4") #pch=22: filled square,
					par(new=T)
	mat.sort <- function(mat,n)
	{
		mat[rank(mat[,n]),] <- mat[c(1:nrow(mat)),]
		return(mat)
	}

	CFAIEM33<-mat.sort(CFAIEM2,1)

	xyear<-CFAIEM33[,1]
	ypars<-CFAIEM33[,2]
		CFAIPRED<-CFAIEM33
		cfai_lm<-lm(ypars~xyear)  #linear regression
		summary(cfai_lm)
		cfai_pred0 <- data.frame( predict(cfai_lm, newdata = as.data.frame(CFAIPRED), interval = "confidence"))

	#sorting with xyear order fit
		df<-cbind(xyear,cfai_pred0[,1])
		dfnfit<-df[order(df[,1],df[,2],decreasing=FALSE),]
		lines(dfnfit,lty=1,type='l',lwd=2,col='darkviolet')

	#sorting with xyear order lwr
		df<-cbind(xyear,cfai_pred0[,2])
		dfnlwr<-df[order(df[,1],df[,2],decreasing=FALSE),]
		lines(dfnlwr,lty=4,type='l',col='violet')

	#sorting with xyear order upr
		df<-cbind(xyear,cfai_pred0[,3])
		dfnupr<-df[order(df[,1],df[,2],decreasing=FALSE),]
		lines(dfnupr,lty=4,type='l',col='violet')

	#nonlinear regression

	cfai_nlm<-nls(ypars~b0*xyear^4+b1*xyear^3+b2*xyear^2+b3*xyear+a,start = list(b0=-0.004,b1=0.005, b2=-0.00765, b3=-0.543, a=-0.123)) #polynomial regression
		#cfai_nlm <- nls(ypars ~ xyear, data = as.data.frame(CFAIPRED))
		summary(cfai_nlm)
		cfai_pred1 <- data.frame( predict(cfai_nlm, newdata = as.data.frame(CFAIPRED), interval = "confidence"))
	#sorting with xyear order fit
		df<-cbind(xyear,cfai_pred1[,1])
		dfnfit<-df[order(df[,1],df[,2],decreasing=FALSE),]
		lines(dfnfit,lty=5,type='l',col='red',lwd=2)
