\name{GeoRiskR-package}
\Rdversion{3.63}
\alias{GeoRiskR-package}
\alias{GeoRiskR}
\docType{package}
\title{GeoRisk-package}
\description{Shear strength parameters of soils, rocks, geosynthetics, regression parameters of pile loading-settlements curves, some useful functions for multivariate analysis and reliability analysis (first-order reliability method, FORM; second order reliability method, SORM) in geotechnical engineering}
\details{
	\tabular{ll}{
		Package: \tab GeoRiskR\cr
		Type: \tab Package\cr
		Version: \tab 1.0\cr
		Date: \tab 2022-1-02\cr
		License: \tab GNU 3.63 or later\cr
		LazyLoad: \tab yes\cr
	}
}
\author{
	Xing Zheng Wu
	Maintainer:  <xingzhengwu@gmail.com>
}
\references{
	Wu XZ. 2017. Implementing multivariate fitting and reliability analyses for geotechnical engineering problems in R. Georisk, 11(2):173-188.
}
\keyword{ package}
\examples{
	## listing the data for soils
	SoilShear
	## listing the data for rocks
	RockShear
	## listing the data for geosynthetic
	GCLShear
	## listing the data for soils by Mousavi et al. 2011
	MousaviSet
	## listing the data for regression parameters of CFG pile
	CFGRegPars
	## listing the data for regression parameters of pile-soil intermediate
	PSIRegPars
	## listing the data for soils by Nebraska et al. 2003
	Nebraska
}
