\name{GCLShear}
\alias{GCLShear}
\title{
	Shear strengths of GCLs
}
\description{
	Data sets covers the shear strengths from geosynthetics
}
\arguments{
  \item{cohesion}{
	a numeric for the cohesion, in kPa
}
  \item{friction angle}{
	a numeric for the inner friction angle, in degree
}
}
\details{
	The data set contains several columns : cohesion, friction angle, unit grivity, investigator, published year, rock name.
}
\value{
	Returns a matrix that contains above values for each GCL included in the data set.
}
\references{
	Wu XZ. 2017. Implementing multivariate fitting and reliability analyses for geotechnical engineering problems in R. Georisk, 11(2):173-188.
}
\note{

	Please read the following references for the original data (adopted from):
	
	[1] McCartney, J.S., Zornberg, J.G., Swan Jr., R.H., Gilbert, R.B., 2004. Reliability-based stability analysis considering GCL shear strength variability. Geosynthetics International 11 (3), 212-232.

}


\seealso{

	Wu X.Z. 2013. Using copulas to characterise the dependency of GCL shear strengths. Geosynthetic International. 20 (5):1-14. 

}
\author{
Xingzheng
Wu \email{xingzhengwu@gmail.com}

}
\examples{
	##---- Should be DIRECTLY executable !! ----
	##--	listing data.
	data(GCLShear)
	GCLShear[["name"]]  ##column named "name"

	which(GCLShear[["name"]]=="McCartney-et-al")  ##returns a vector of the indices of x 
	which(GCLShear[["type"]]=="set3")  ##returns a vector of the indices of x 
	GCLShear[which(GCLShear[["type"]]=="set3"),]   
		##listing a matrix where the set type = 'set3'
}
\keyword{ cohesion}
\keyword{ friction angle}
