\name{Nebraska}
\alias{Nebraska}
\title{
	soil property data at study sites in eastern Nebraska
}
\description{
	Data sets covers the ratio of sand-silt-clay from soils, cohesion, friction angle, unit weight, moisture content, degree of saturation 
}
\usage{
	Nebraska
}
\arguments{
  \item{siteID}{
	a numeric for the site identification
}
  \item{depth}{
	a numeric for the sample depth
}
  \item{cohe}{
	a numeric for the cohesion in kpa
}
  \item{fric}{
	a numeric for the internal angle of friction in degree
}
  \item{ambinet}{
	a numeric for the ambinet unit density in kn/m3
}
  \item{saturated}{
	a numeric for the saturated unit density in kn/m3
}
  \item{wuID}{
	a numeric for the original number
}
  \item{moisture}{
	a numeric for the moisture content in %
}
  \item{saturation}{
	a numeric for the degree of saturation in %
}
  \item{sand}{
	a numeric for the ratio of sand
}
  \item{silt}{
	a numeric for the ratio of silt
}
  \item{clay}{
	a numeric for the ratio of clay
}
  \item{status}{
	a numeric for the BST status
}
}
\details{
	The data set contains several columns :siteID, depth, cohe, fric, ambinet, saturated, wuID, moisture, saturation, sand, silt, clay, status, investigator, published year, soil name.
}
\value{
	Returns a matrix that contains above values for each soils included in the data set.
}
\references{
	Wu XZ. 2017. Implementing multivariate fitting and reliability analyses for geotechnical engineering problems in R. Georisk, 11(2):173-188.
}
\note{

	Please read the following references for the original data (adopted from):

	[1] Soenksen PJ, Turner MJ, Dietsch BJ, Simon A. 2003. Stream bank stability in eastern Nebraska. Agriculture Water-resources Investigations Report 03-4 265. U.S. Geological Survey, Lincoln, Nebraska. 96 pp.
	
}


\author{
Xingzheng
Wu \email{xingzhengwu@gmail.com}

}
\examples{
	##---- Should be DIRECTLY executable !! ----
	##--	listing data.
	data(Nebraska)
	Nebraska[["name"]]  ##column named "name"

	which(Nebraska[["name"]]=="Soenksen-et-al")  ##returns a vector of the indices of x 
	Nebraska[which(Nebraska[["type"]]=="Salt-Creek"),]   
		##listing a matrix where the soil type = 'salt-creek'
}
\keyword{ sand }
\keyword{ silt }
\keyword{ clay }
\keyword{ classification }

