\name{e0cc}
\alias{e0cc}
\title{
	initial void ratio and compression index for settlements 
}
\description{
	Data sets covers the initial void ratio and copression index from soils
}
\usage{
	e0cc(e0, cc)
}
\arguments{
  \item{e0}{
	a numeric for the initial void ratio
}
  \item{cc}{
	a numeric for compression index
}
}
\details{
	The data set contains several columns : e0, cc, e1, investigator, published year, soil name.
}
\value{
	Returns a matrix that contains above values for each soils included in the data set.
}
\references{
	Wu XZ. 2017. Implementing multivariate fitting and reliability analyses for geotechnical engineering problems in R. Georisk, 11(2):173-188.
}
\note{

	Please read the following references for the original data (adopted from):

	[1] Abbasi N, Javadi AA, Bahramloo R. 2012. Prediction of compression behaviour of normally consolidated fine-grained soils, World Applied Sciences Journal, volume 18, no. 1, pages 6-14. 
	
	[2] Keller T., Lamande M., Schjoning, P., Dexter, A. R. 2011. Analysis of soil compression curves  from uniaxial confined compression tests. Geoderma. 163, (1-2), 13-23. 
}


\author{
Xingzheng
Wu \email{xingzhengwu@gmail.com}

}
\examples{
	##---- Should be DIRECTLY executable !! ----
	##--	listing data.
	data(e0cc)
	e0cc[["name"]]  ##column named "name"

	which(e0cc[["name"]]=="Keller-et-al")  ##returns a vector of the indices of x 
	which(e0cc[["type"]]=="fine-grained")  ##returns a vector of the indices of x 
	e0cc[which(e0cc[["type"]]=="fine-grained"),]   
		##listing a matrix where the soil type = 'fine-grained'
}
\keyword{ e0  }
\keyword{ cc }

